Subject: Ticket Assigned - Delivery
From: Max <[email-masked]>
To: [email-masked]
Date: Tue, 05 Jul 2022 05:47:11 +0000

Hi Shehanah Khalid,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Delivery Good morning. Here is my address 7328 العيساوية، 3790, Dhahrat Laban, Riyadh 12562.  And here is my mobile number, 0549916204. Please deliver the iem as soon as possible. And regarding the delivery last time, i  sent a message to the driver stating that i was not able to receive the item and my friend will receive it on my behalf. I even gave him my friend's mobile number but no reply. I even called him but we cant properly understand each other. I do hope that the item would be delivered soon. https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/4584284